import { ObjectProperty, ObjectExpression } from 'jscodeshift';
import * as postcss from 'postcss';
import * as recast from 'recast';
export default function convertCssToJss(rawCss: string): ObjectProperty[];
export declare function convertCssToJssString(rawCss: string, options?: recast.Options): string;
export declare function collectAnimationNames(nodes: postcss.Node[]): Set<string>;
export declare function splitGlobals(selector: string): [string | null, string | null];
export declare function convertSelectors(root: ObjectExpression): void;
export declare function convertAnimationNames(root: ObjectExpression, animationNames: Set<string>): void;
export declare function convertNodes(nodes: postcss.Node[]): ObjectExpression;
