"use strict";

var _convertCssToJss = require("./convertCssToJss");

module.exports = function cssToJss(fileInfo, api, options) {
  var selectionStart = options.selectionStart ? parseInt(options.selectionStart) : 0;
  var selectionEnd = options.selectionEnd ? parseInt(options.selectionEnd) : fileInfo.source.length;
  var before = fileInfo.source.substring(0, selectionStart);
  var rawCss = fileInfo.source.substring(selectionStart, selectionEnd);
  var after = fileInfo.source.substring(selectionEnd);
  return "".concat(before).concat((0, _convertCssToJss.convertCssToJssString)(rawCss)).concat(after);
};